%define	upstream_name	 Net-SSH-Perl
%define	upstream_version 1.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl client Interface to SSH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::PEM) >= 0.50.0
BuildRequires: perl(Crypt::DH) >= 0.10.0
BuildRequires: perl(Crypt::DSA) >= 0.110.0
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1) >= 2.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::GMP) >= 1.40.0
BuildRequires: perl(Math::Pari) >= 2.1.804
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::CRC32) >= 1.200.0
BuildArch:  noarch

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
# test hang... :\
# %{__make} test

%install
%{makeinstall_std}

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE eg
%{perl_vendorlib}/Net
%{_mandir}/man*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.350.0-2.mga3
+ Revision: 370870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 342440
- update to 1.35

* Wed Jan 26 2011 jquelin <jquelin> 1.340.0-1.mga1
+ Revision: 41118
- mageia rebuild
- imported package perl-Net-SSH-Perl

